use crate::dynamic_data::HitData;
use crate::script_implementations::wasm::export_registry::register;
use crate::script_implementations::wasm::extern_ref::ExternRef;
use crate::script_implementations::wasm::script_resolver::WebAssemblyEnv;
use wasmer::FunctionEnvMut;

register! {
    fn hit_data_fail(
        env: FunctionEnvMut<WebAssemblyEnv>,
        hit: ExternRef<HitData>,
    ) {
        hit.value_func(&env).unwrap().fail()
    }
}
